get
https://example.com
Method to calculate freight on your system
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
This API is to partners that provide SHIPPING INFORMATION and should be implemented in the parter side to provide to PluggTo information about the shipping cost.
Attention: This answer shoud take 0.200 seconds maximum.
PluggTo will POST to a URL pre-register with the folling information:
Be aware that depending the MarketPlace one or other information maybe will be empty.
| Attribute | Type | Description |
|---|---|---|
| destination_postalcode | string | Destination postal code (CEP) possible value: 03881-070 OR 03881070 |
| destination_state | string | Destination state |
| user_id | number | Plugg.to user id |
| origin_postalcode | string | Origin postal code |
| origin_state | string | Origin state |
| origin_city | string | Origin city |
| origin_country | string | Origin country |
| products | array | Array with product information |
| weight | number | Item Weight |
| height | number | Item Height |
| length | number | Item Length |
| width | number | Item Width |
| unit_price | number | Sales price of the product unit |
| department | string | Department |
| crossdocking | number | Crossdocking |
| sku | string | Simple product SKU or "parent" |
| category | array | Category |
| marketplace | string | Item category |
| original_sku | string | Simple product SKU or variation |
| id | string | Product pluggto_id |
| quantity | string | Quantity of product to ship |
Request body example
{
"destination_postalcode":"69301-340",
"destination_state":"RR",
"user_id":129,
"origin_postalcode":"05004015",
"origin_state":"SP",
"origin_city":"SAO PAULO",
"origin_country":"BR",
"products":[
{
"weight":0.45,
"height":3,
"length":32,
"width":11,
"unit_price":54.188,
"department":null,
"crossdocking":1,
"sku":"100",
"category":[
{
"name":"Refis e Elementos Filtrantes",
"id":"5d938c389b9353c55143b71a"
},
{
"name":"Elementos Filtrantes > Refil",
"id":"5e5fe2eaab550048b7b2e6b9"
},
{
"name":"Refil",
"id":"5e5fe2eaab550048b7b2e6ba"
}
],
"marketplace":null,
"original_sku":"100",
"id":"5d938c389b9353c55143b715",
"quantity":"1"
}
]
}The success answer should be:
| Attribute | Type | Description |
|---|---|---|
| method | string | Shipping method |
| company | string | Shipping company |
| delivery_type | string | Delivery type |
| message | string | Message |
| price | string | Freight price |
| estimate | number | Estimated product delivery |
Returned exemple
[
{
"method":"Service 1",
"company":"Company Name",
"delivery_type":"express",
"message":null,
"price":"463.46",
"estimate":6
},
{
"method":"Service 2",
"company":"Company Name",
"delivery_type":"standard",
"message":null,
"price":"263.97",
"estimate":9
}
]In case of an error in calculating the freight,
Returned exemple
[
{
"mensage": "it was not possible to calculate product shipping"
}
]